Subject: Re: bug#18410: Use SAFE_ALLOCA etc. to avoid unbounded stack allocation.

From: Dmitry Antipov <[email-masked]>
Date: Mon, 08 Sep 2014 11:26:05 +0400

On 09/08/2014 06:38 AM, Paul Eggert wrote:

> If I understand things correctly, Dmitry's recent stack-overflow changes
> don't  affect this, as they don't deal with the guard-page region size.

Yes.  Guard-page approach has an unsolvable problem with dynamically adjusted
stack size (prlimit on GNU/Linux) - you just don't know where the guard page
should be, and there is no OS-level capability to notify an application about
stack size change.

Dmitry